## ros-lunar-pr2-arm-kinematics 1.0.10

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_arm_kinematics)

add_compile_options(-std=c++11)

find_package(Boost REQUIRED thread)
find_package(catkin REQUIRED COMPONENTS roscpp angles tf_conversions urdf geometry_msgs kdl_parser moveit_msgs moveit_core pluginlib cmake_modules)
find_package(Eigen REQUIRED)


include_directories(include ${catkin_INCLUDE_DIRS})
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include_directories(${EIGEN_INCLUDE_DIRS})
include_directories(${Boost_INCLUDE_DIRS})
 
catkin_package(
    DEPENDS roscpp angles tf_conversions urdf geometry_msgs kdl_parser moveit_msgs pluginlib eigen moveit_core
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS include# TODO include
    LIBRARIES pr2_arm_kinematics_lib# TODO
)

add_library(pr2_arm_kinematics_lib
  src/pr2_arm_ik.cpp
  src/pr2_arm_ik_solver.cpp
  src/pr2_arm_kinematics_utils.cpp
  src/pr2_arm_kinematics.cpp
  src/pr2_arm_kinematics_plugin.cpp
)

add_executable(pr2_arm_kinematics_node src/main.cpp)
target_link_libraries(pr2_arm_kinematics_node pr2_arm_kinematics_lib ${catkin_LIBRARIES})
target_link_libraries(pr2_arm_kinematics_lib ${catkin_LIBRARIES})

install(FILES test_pr2_arm_ik.xml test_pr2_arm_ik_node.xml kinematics_plugins.xml
DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

install(TARGETS pr2_arm_kinematics_lib 
ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS pr2_arm_kinematics_node 
ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-lunar-pr2-arm-kinematics (1.0.10-0xenial) xenial; urgency=high

  * Merge pull request #12 from PR2/add_travis
    add travis.yml and fix for melodic
  * fix for kdl v1.4.0 (melodic), c.f. https://github.com/ros-planning/moveit/pull/906
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 30 Aug 2018 00:00:00 -0000

ros-lunar-pr2-arm-kinematics (1.0.9-0xenial) xenial; urgency=high

  * Merge pull request #10 <https://github.com/pr2/pr2_kinematics/issues/10> from k-okada/use_pose
    PoseMsgToKDL is deperecated use poseMsgToKDL
  * Merge pull request #9 <https://github.com/pr2/pr2_kinematics/issues/9> from k-okada/remove_get_solver_info2
    remove GetKinematicsSolverInfo, whcih is deprecated in kinetic
  * Merge pull request #8 <https://github.com/pr2/pr2_kinematics/issues/8> from k-okada/add_c11
    add c++11 option for error: ‘shared_ptr’ in namespace ‘std’ does not …
  * Merge pull request #7 <https://github.com/pr2/pr2_kinematics/issues/7> from k-okada/orp
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * PoseMsgToKDL is deperecated use poseMsgToKDL
  * remove GetKinematicsSolverInfo, whcih is deprecated in kinetic https://github.com/ros-planning/moveit_msgs/issues/3
  * add c++11 option for error: ‘shared_ptr’ in namespace ‘std’ does not name a template type typedef std::shared_ptr<Type> Name##Ptr; error
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 14 Feb 2018 00:00:00 -0000

ros-lunar-pr2-arm-kinematics (1.0.7-0xenial) xenial; urgency=high

  * Fix pr2_arm_kinematics for indigo by adding cmake_modules
  * Add dependency to cmake_modules to solve Eigen depdency on indigo
  * Contributors: Ryohei Ueda

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 00:00:00 -0000

ros-lunar-pr2-arm-kinematics (1.0.6-0xenial) xenial; urgency=high

  * Removed mainpage.dox
  * Removed mainpage.dox
  * Contributors: TheDash, dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 21 Nov 2014 00:00:00 -0000

ros-lunar-pr2-arm-kinematics (1.0.5-0xenial) xenial; urgency=high

  * Added install target for pr2_kinematics_node to archive and lib dests
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 18 Nov 2014 00:00:00 -0000

ros-lunar-pr2-arm-kinematics (1.0.4-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 11 Nov 2014 00:00:00 -0000

ros-lunar-pr2-arm-kinematics (1.0.2-0xenial) xenial; urgency=high

  * Removed dependency on kinematics_base, replaced with moveit functionality
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Sep 2014 00:00:00 -0000

=== debian/control ===
Source: ros-lunar-pr2-arm-kinematics
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-angles, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-geometry-msgs, ros-lunar-kdl-parser, ros-lunar-moveit-core, ros-lunar-moveit-msgs, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-tf-conversions, ros-lunar-urdf
Homepage: http://ros.org/wiki/pr2_arm_kinematics
Standards-Version: 3.9.2

Package: ros-lunar-pr2-arm-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-angles, ros-lunar-geometry-msgs, ros-lunar-kdl-parser, ros-lunar-moveit-core, ros-lunar-moveit-msgs, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-tf-conversions, ros-lunar-urdf
Description: This package provides a kinematics implementation for the PR2 robot.
 It can be used to compute forward and inverse kinematics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-pr2-arm-kinematics//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
